<script setup lang="ts">
  withDefaults(
    defineProps<{
      name: string;
      fitInside?: boolean;
    }>(),
    {
      name: '',
      fitInside: true,
    },
  );
</script>

<template>
  <div
    class="bg-opacity-85 flex w-max cursor-pointer select-none items-center space-x-1.5 rounded-md bg-white"
    v-bind="$attrs"
  >
    <div :class="fitInside ? 'py-1 pl-1.5' : ''">
      <slot name="icon"> </slot>
    </div>
    <slot name="name">
      <span class="max-w-[190px] truncate py-1 pr-1.5 text-[9px] font-medium leading-4">
        {{ name || $t('account.anonymous') }}</span
      >
    </slot>
  </div>
</template>
